Skip to main content
GET
/
v1
/
providers
Get Providers
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/providers \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "Bruce Wayne",
      "email": "bruce.wayne@goodhealth.com",
      "hireDate": "2024-11-20T07:43:34+0000",
      "status": "active",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "licensedRegions": [
        "<string>"
      ],
      "employmentType": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "enrollments": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>"
        }
      ],
      "skills": [
        {
          "skillName": "<string>",
          "values": [
            "<string>"
          ]
        }
      ],
      "manager": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "team": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "shorthandName": "<string>"
      },
      "skillLicensedRegion": [
        "<string>"
      ],
      "skillEnrollment": [
        "<string>"
      ]
    }
  ],
  "cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve providers with optional related data and pagination

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
default:["onboarding","active"]
Available options:
onboarding,
active,
dismissed,
unmanaged
email
string

Filter by (case-insensitive) email, * wildcards allowed

teamId

Filter providers by team ID(s)

includeEnrollments
boolean
default:false

Include enrollment data for each provider

includeSkills
boolean
default:false

Include skills data for each provider

includeManager
boolean
default:false

Include manager data for each provider

includeTeam
boolean
default:false

Include team data for each provider

pageSize
number
default:20
Required range: 1 <= x <= 200
cursor
string

Response

items
object[]
required
cursor
string